
_Main_Init:

;electronique_controleur_ad1955_001c_12f675.mpas,35 :: 		begin
;electronique_controleur_ad1955_001c_12f675.mpas,36 :: 		CMCON := %00000111;        // comparators OFF (CMCON = 7)
	MOVLW      7
	MOVWF      CMCON+0
;electronique_controleur_ad1955_001c_12f675.mpas,37 :: 		INTCON := 0;               // disable interrupts;
	CLRF       INTCON+0
;electronique_controleur_ad1955_001c_12f675.mpas,38 :: 		OPTION_REG := 0;
	CLRF       OPTION_REG+0
;electronique_controleur_ad1955_001c_12f675.mpas,39 :: 		OPTION_REG.NOT_GPPU := 1;  // disable pull-up
	BSF        OPTION_REG+0, 7
;electronique_controleur_ad1955_001c_12f675.mpas,40 :: 		WPU := 0;                  // disable pull-up
	CLRF       WPU+0
;electronique_controleur_ad1955_001c_12f675.mpas,41 :: 		TRISIO := %00001100;       // all output except GP2 and GP3 as inputs
	MOVLW      12
	MOVWF      TRISIO+0
;electronique_controleur_ad1955_001c_12f675.mpas,42 :: 		ADCON0.ADON  := 0;         // turn off ADC module
	BCF        ADCON0+0, 0
;electronique_controleur_ad1955_001c_12f675.mpas,43 :: 		ANSEL := 0;                // set GPx as digital I/O
	CLRF       ANSEL+0
;electronique_controleur_ad1955_001c_12f675.mpas,44 :: 		end;
L_end_Main_Init:
	RETURN
; end of _Main_Init

_AD1955_Init:

;electronique_controleur_ad1955_001c_12f675.mpas,47 :: 		begin
;electronique_controleur_ad1955_001c_12f675.mpas,48 :: 		Out_Data := 0;
	BCF        GP0_bit+0, 0
;electronique_controleur_ad1955_001c_12f675.mpas,49 :: 		Out_Clock := 1;
	BSF        GP1_bit+0, 1
;electronique_controleur_ad1955_001c_12f675.mpas,50 :: 		Out_CSL := 1;
	BSF        GP4_bit+0, 4
;electronique_controleur_ad1955_001c_12f675.mpas,51 :: 		Out_CSR := 1;
	BSF        GP5_bit+0, 5
;electronique_controleur_ad1955_001c_12f675.mpas,52 :: 		end;
L_end_AD1955_Init:
	RETURN
; end of _AD1955_Init

_AD1955_SendData_WithSPIRoutine:

;electronique_controleur_ad1955_001c_12f675.mpas,59 :: 		begin
;electronique_controleur_ad1955_001c_12f675.mpas,61 :: 		if In_Conf then   // GP2 = 1
	BTFSS      GP2_bit+0, 2
	GOTO       L__AD1955_SendData_WithSPIRoutine4
;electronique_controleur_ad1955_001c_12f675.mpas,64 :: 		iDataToSend_1_1 := %00001001;
	MOVLW      9
	MOVWF      AD1955_SendData_WithSPIRoutine_iDataToSend_1_1+0
;electronique_controleur_ad1955_001c_12f675.mpas,65 :: 		iDataToSend_1_2 := %00000000;
	CLRF       AD1955_SendData_WithSPIRoutine_iDataToSend_1_2+0
;electronique_controleur_ad1955_001c_12f675.mpas,67 :: 		iDataToSend_2_1 := %00001101;
	MOVLW      13
	MOVWF      AD1955_SendData_WithSPIRoutine_iDataToSend_2_1+0
;electronique_controleur_ad1955_001c_12f675.mpas,68 :: 		iDataToSend_2_2 := %00000000;
	CLRF       AD1955_SendData_WithSPIRoutine_iDataToSend_2_2+0
;electronique_controleur_ad1955_001c_12f675.mpas,69 :: 		end
	GOTO       L__AD1955_SendData_WithSPIRoutine5
;electronique_controleur_ad1955_001c_12f675.mpas,70 :: 		else   // GP2 = 0
L__AD1955_SendData_WithSPIRoutine4:
;electronique_controleur_ad1955_001c_12f675.mpas,74 :: 		iDataToSend_1_1 := %00001100;
	MOVLW      12
	MOVWF      AD1955_SendData_WithSPIRoutine_iDataToSend_1_1+0
;electronique_controleur_ad1955_001c_12f675.mpas,75 :: 		iDataToSend_1_2 := %00000000;
	CLRF       AD1955_SendData_WithSPIRoutine_iDataToSend_1_2+0
;electronique_controleur_ad1955_001c_12f675.mpas,77 :: 		iDataToSend_2_1 := %00001000;
	MOVLW      8
	MOVWF      AD1955_SendData_WithSPIRoutine_iDataToSend_2_1+0
;electronique_controleur_ad1955_001c_12f675.mpas,78 :: 		iDataToSend_2_2 := %00000000;
	CLRF       AD1955_SendData_WithSPIRoutine_iDataToSend_2_2+0
;electronique_controleur_ad1955_001c_12f675.mpas,79 :: 		end;
L__AD1955_SendData_WithSPIRoutine5:
;electronique_controleur_ad1955_001c_12f675.mpas,82 :: 		Soft_SPI_Init;
	CALL       _Soft_SPI_Init+0
;electronique_controleur_ad1955_001c_12f675.mpas,85 :: 		Out_CSL := 0;  // enable latch input of DAC#1 (left)
	BCF        GP4_bit+0, 4
;electronique_controleur_ad1955_001c_12f675.mpas,87 :: 		Soft_SPI_Write(iDataToSend_1_1);
	MOVF       AD1955_SendData_WithSPIRoutine_iDataToSend_1_1+0, 0
	MOVWF      FARG_Soft_SPI_Write_sdata+0
	CALL       _Soft_SPI_Write+0
;electronique_controleur_ad1955_001c_12f675.mpas,88 :: 		Soft_SPI_Write(iDataToSend_1_2);
	MOVF       AD1955_SendData_WithSPIRoutine_iDataToSend_1_2+0, 0
	MOVWF      FARG_Soft_SPI_Write_sdata+0
	CALL       _Soft_SPI_Write+0
;electronique_controleur_ad1955_001c_12f675.mpas,89 :: 		Out_CSL := 1;
	BSF        GP4_bit+0, 4
;electronique_controleur_ad1955_001c_12f675.mpas,90 :: 		Out_Clock := 1;
	BSF        GP1_bit+0, 1
;electronique_controleur_ad1955_001c_12f675.mpas,93 :: 		Out_CSL := 1;  // disable latch input of DAC#1 (left)
	BSF        GP4_bit+0, 4
;electronique_controleur_ad1955_001c_12f675.mpas,96 :: 		Delay_ms(2);
	MOVLW      3
	MOVWF      R12+0
	MOVLW      151
	MOVWF      R13+0
L__AD1955_SendData_WithSPIRoutine6:
	DECFSZ     R13+0, 1
	GOTO       L__AD1955_SendData_WithSPIRoutine6
	DECFSZ     R12+0, 1
	GOTO       L__AD1955_SendData_WithSPIRoutine6
	NOP
	NOP
;electronique_controleur_ad1955_001c_12f675.mpas,99 :: 		Out_CSR := 0;  // enable latch input of DAC#2 (right)
	BCF        GP5_bit+0, 5
;electronique_controleur_ad1955_001c_12f675.mpas,102 :: 		Out_CSR := 0;
	BCF        GP5_bit+0, 5
;electronique_controleur_ad1955_001c_12f675.mpas,103 :: 		Soft_SPI_Write(iDataToSend_2_1);
	MOVF       AD1955_SendData_WithSPIRoutine_iDataToSend_2_1+0, 0
	MOVWF      FARG_Soft_SPI_Write_sdata+0
	CALL       _Soft_SPI_Write+0
;electronique_controleur_ad1955_001c_12f675.mpas,104 :: 		Soft_SPI_Write(iDataToSend_2_2);
	MOVF       AD1955_SendData_WithSPIRoutine_iDataToSend_2_2+0, 0
	MOVWF      FARG_Soft_SPI_Write_sdata+0
	CALL       _Soft_SPI_Write+0
;electronique_controleur_ad1955_001c_12f675.mpas,105 :: 		Out_CSR := 1;
	BSF        GP5_bit+0, 5
;electronique_controleur_ad1955_001c_12f675.mpas,106 :: 		Out_Clock := 1;
	BSF        GP1_bit+0, 1
;electronique_controleur_ad1955_001c_12f675.mpas,109 :: 		Out_CSR := 1;  // disable latch input of DAC#2 (right)
	BSF        GP5_bit+0, 5
;electronique_controleur_ad1955_001c_12f675.mpas,111 :: 		end;
L_end_AD1955_SendData_WithSPIRoutine:
	RETURN
; end of _AD1955_SendData_WithSPIRoutine

_AD1955_SendData_WithoutSPIRoutine:

;electronique_controleur_ad1955_001c_12f675.mpas,119 :: 		begin
;electronique_controleur_ad1955_001c_12f675.mpas,121 :: 		if In_Conf then   // GP2 = 1
	BTFSS      GP2_bit+0, 2
	GOTO       L__AD1955_SendData_WithoutSPIRoutine9
;electronique_controleur_ad1955_001c_12f675.mpas,124 :: 		iDataToSend_1 := %0000100100000000;
	MOVLW      0
	MOVWF      R4+0
	MOVLW      9
	MOVWF      R4+1
;electronique_controleur_ad1955_001c_12f675.mpas,126 :: 		iDataToSend_2 := %0000110100000000;
	MOVLW      0
	MOVWF      R6+0
	MOVLW      13
	MOVWF      R6+1
;electronique_controleur_ad1955_001c_12f675.mpas,127 :: 		end
	GOTO       L__AD1955_SendData_WithoutSPIRoutine10
;electronique_controleur_ad1955_001c_12f675.mpas,128 :: 		else  // GP2 = 0
L__AD1955_SendData_WithoutSPIRoutine9:
;electronique_controleur_ad1955_001c_12f675.mpas,132 :: 		iDataToSend_1 := %0000110000000000;
	MOVLW      0
	MOVWF      R4+0
	MOVLW      12
	MOVWF      R4+1
;electronique_controleur_ad1955_001c_12f675.mpas,134 :: 		iDataToSend_2 := %0000100000000000;
	MOVLW      0
	MOVWF      R6+0
	MOVLW      8
	MOVWF      R6+1
;electronique_controleur_ad1955_001c_12f675.mpas,135 :: 		end;
L__AD1955_SendData_WithoutSPIRoutine10:
;electronique_controleur_ad1955_001c_12f675.mpas,138 :: 		Out_CSL := 0;  // enable latch input of DAC#1 (left)
	BCF        GP4_bit+0, 4
;electronique_controleur_ad1955_001c_12f675.mpas,141 :: 		for iDataBit := 15 downto 0 do
	MOVLW      15
	MOVWF      R8+0
L__AD1955_SendData_WithoutSPIRoutine12:
;electronique_controleur_ad1955_001c_12f675.mpas,143 :: 		Out_Data := iDataToSend_1.iDataBit;
	MOVF       R8+0, 0
	MOVWF      R2+0
	MOVLW      1
	MOVWF      R0+0
	MOVLW      0
	MOVWF      R0+1
	MOVF       R2+0, 0
L__AD1955_SendData_WithoutSPIRoutine39:
	BTFSC      STATUS+0, 2
	GOTO       L__AD1955_SendData_WithoutSPIRoutine40
	RLF        R0+0, 1
	RLF        R0+1, 1
	BCF        R0+0, 0
	ADDLW      255
	GOTO       L__AD1955_SendData_WithoutSPIRoutine39
L__AD1955_SendData_WithoutSPIRoutine40:
	MOVF       R0+0, 0
	ANDWF      R4+0, 0
	MOVWF      R2+0
	MOVF       R4+1, 0
	ANDWF      R0+1, 0
	MOVWF      R2+1
	CLRF       R1+0
	MOVLW      0
	XORWF      R2+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__AD1955_SendData_WithoutSPIRoutine41
	MOVLW      0
	XORWF      R2+0, 0
L__AD1955_SendData_WithoutSPIRoutine41:
	BTFSC      STATUS+0, 2
	GOTO       L__AD1955_SendData_WithoutSPIRoutine16
	MOVLW      1
	MOVWF      R1+0
L__AD1955_SendData_WithoutSPIRoutine16:
	BTFSC      R1+0, 0
	GOTO       L__AD1955_SendData_WithoutSPIRoutine42
	BCF        GP0_bit+0, 0
	GOTO       L__AD1955_SendData_WithoutSPIRoutine43
L__AD1955_SendData_WithoutSPIRoutine42:
	BSF        GP0_bit+0, 0
L__AD1955_SendData_WithoutSPIRoutine43:
;electronique_controleur_ad1955_001c_12f675.mpas,144 :: 		Out_Clock := 1;
	BSF        GP1_bit+0, 1
;electronique_controleur_ad1955_001c_12f675.mpas,145 :: 		Out_Clock := 0;
	BCF        GP1_bit+0, 1
;electronique_controleur_ad1955_001c_12f675.mpas,146 :: 		end;
	MOVF       R8+0, 0
	XORLW      0
	BTFSC      STATUS+0, 2
	GOTO       L__AD1955_SendData_WithoutSPIRoutine15
	DECF       R8+0, 1
	GOTO       L__AD1955_SendData_WithoutSPIRoutine12
L__AD1955_SendData_WithoutSPIRoutine15:
;electronique_controleur_ad1955_001c_12f675.mpas,147 :: 		Out_Clock := 1;
	BSF        GP1_bit+0, 1
;electronique_controleur_ad1955_001c_12f675.mpas,150 :: 		Out_CSL := 1;  // disable latch input of DAC#1 (left)
	BSF        GP4_bit+0, 4
;electronique_controleur_ad1955_001c_12f675.mpas,153 :: 		Delay_ms(2);
	MOVLW      3
	MOVWF      R12+0
	MOVLW      151
	MOVWF      R13+0
L__AD1955_SendData_WithoutSPIRoutine17:
	DECFSZ     R13+0, 1
	GOTO       L__AD1955_SendData_WithoutSPIRoutine17
	DECFSZ     R12+0, 1
	GOTO       L__AD1955_SendData_WithoutSPIRoutine17
	NOP
	NOP
;electronique_controleur_ad1955_001c_12f675.mpas,156 :: 		Out_CSR := 0;  // enable latch input of DAC#2 (right)
	BCF        GP5_bit+0, 5
;electronique_controleur_ad1955_001c_12f675.mpas,159 :: 		for iDataBit := 15 downto 0 do
	MOVLW      15
	MOVWF      R8+0
L__AD1955_SendData_WithoutSPIRoutine19:
;electronique_controleur_ad1955_001c_12f675.mpas,161 :: 		Out_Data := iDataToSend_2.iDataBit;
	MOVF       R8+0, 0
	MOVWF      R2+0
	MOVLW      1
	MOVWF      R0+0
	MOVLW      0
	MOVWF      R0+1
	MOVF       R2+0, 0
L__AD1955_SendData_WithoutSPIRoutine44:
	BTFSC      STATUS+0, 2
	GOTO       L__AD1955_SendData_WithoutSPIRoutine45
	RLF        R0+0, 1
	RLF        R0+1, 1
	BCF        R0+0, 0
	ADDLW      255
	GOTO       L__AD1955_SendData_WithoutSPIRoutine44
L__AD1955_SendData_WithoutSPIRoutine45:
	MOVF       R0+0, 0
	ANDWF      R6+0, 0
	MOVWF      R2+0
	MOVF       R6+1, 0
	ANDWF      R0+1, 0
	MOVWF      R2+1
	CLRF       R1+0
	MOVLW      0
	XORWF      R2+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__AD1955_SendData_WithoutSPIRoutine46
	MOVLW      0
	XORWF      R2+0, 0
L__AD1955_SendData_WithoutSPIRoutine46:
	BTFSC      STATUS+0, 2
	GOTO       L__AD1955_SendData_WithoutSPIRoutine23
	MOVLW      1
	MOVWF      R1+0
L__AD1955_SendData_WithoutSPIRoutine23:
	BTFSC      R1+0, 0
	GOTO       L__AD1955_SendData_WithoutSPIRoutine47
	BCF        GP0_bit+0, 0
	GOTO       L__AD1955_SendData_WithoutSPIRoutine48
L__AD1955_SendData_WithoutSPIRoutine47:
	BSF        GP0_bit+0, 0
L__AD1955_SendData_WithoutSPIRoutine48:
;electronique_controleur_ad1955_001c_12f675.mpas,162 :: 		Out_Clock := 1;
	BSF        GP1_bit+0, 1
;electronique_controleur_ad1955_001c_12f675.mpas,163 :: 		Out_Clock := 0;
	BCF        GP1_bit+0, 1
;electronique_controleur_ad1955_001c_12f675.mpas,164 :: 		end;
	MOVF       R8+0, 0
	XORLW      0
	BTFSC      STATUS+0, 2
	GOTO       L__AD1955_SendData_WithoutSPIRoutine22
	DECF       R8+0, 1
	GOTO       L__AD1955_SendData_WithoutSPIRoutine19
L__AD1955_SendData_WithoutSPIRoutine22:
;electronique_controleur_ad1955_001c_12f675.mpas,165 :: 		Out_Clock := 1;
	BSF        GP1_bit+0, 1
;electronique_controleur_ad1955_001c_12f675.mpas,168 :: 		Out_CSR := 1;  // disable latch input of DAC#2 (right)
	BSF        GP5_bit+0, 5
;electronique_controleur_ad1955_001c_12f675.mpas,170 :: 		end;
L_end_AD1955_SendData_WithoutSPIRoutine:
	RETURN
; end of _AD1955_SendData_WithoutSPIRoutine

_AD1955_SendData:

;electronique_controleur_ad1955_001c_12f675.mpas,175 :: 		begin
;electronique_controleur_ad1955_001c_12f675.mpas,178 :: 		AD1955_SendData_WithSPIRoutine
	CALL       _AD1955_SendData_WithSPIRoutine+0
;electronique_controleur_ad1955_001c_12f675.mpas,180 :: 		AD1955_SendData_WithoutSPIRoutine;
L__AD1955_SendData27:
;electronique_controleur_ad1955_001c_12f675.mpas,181 :: 		end;
L_end_AD1955_SendData:
	RETURN
; end of _AD1955_SendData

_main:

;electronique_controleur_ad1955_001c_12f675.mpas,183 :: 		begin
;electronique_controleur_ad1955_001c_12f675.mpas,185 :: 		Main_Init;
	CALL       _Main_Init+0
;electronique_controleur_ad1955_001c_12f675.mpas,186 :: 		AD1955_Init;
	CALL       _AD1955_Init+0
;electronique_controleur_ad1955_001c_12f675.mpas,187 :: 		Delay_ms(10);
	MOVLW      13
	MOVWF      R12+0
	MOVLW      251
	MOVWF      R13+0
L__main29:
	DECFSZ     R13+0, 1
	GOTO       L__main29
	DECFSZ     R12+0, 1
	GOTO       L__main29
	NOP
	NOP
;electronique_controleur_ad1955_001c_12f675.mpas,188 :: 		AD1955_SendData;
	CALL       _AD1955_SendData+0
;electronique_controleur_ad1955_001c_12f675.mpas,189 :: 		while true do
L__main31:
;electronique_controleur_ad1955_001c_12f675.mpas,190 :: 		nop;   // do nothing, simply wait sun return's
	NOP
	GOTO       L__main31
;electronique_controleur_ad1955_001c_12f675.mpas,191 :: 		end.
L_end_main:
	GOTO       $+0
; end of _main
